shelf 0.7.9

Dart native js
Flutter Android iOS web

A model for web server middleware that encourages composition and easy reuse

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  shelf: ^0.7.9

2. Install it

You can install packages from the command line:

with pub:

$ pub get

with Flutter:

$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:shelf/shelf.dart';
54
likes
105
pub points
98%
popularity

A model for web server middleware that encourages composition and easy reuse

Repository (GitHub)
View/report issues

Documentation

API reference

Uploaders

kevmoo@google.com
nweiz@google.com
nbosch@google.com

License

BSD (LICENSE)

Dependencies

async, collection, http_parser, path, stack_trace, stream_channel

More

Packages that depend on shelf